#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: async
version: 2.2.1
id: async-2.2.1-B6m2kYywRJu7nicgTBxsJe
key: async-2.2.1-B6m2kYywRJu7nicgTBxsJe
license: BSD-3-Clause
copyright: (c) Simon Marlow 2012
maintainer: Simon Marlow <marlowsd@gmail.com>
author: Simon Marlow
homepage: https://github.com/simonmar/async
synopsis: Run IO operations asynchronously and wait for their results
description:
    This package provides a higher-level interface over
    threads, in which an @Async a@ is a concurrent
    thread that will eventually deliver a value of
    type @a@.  The package provides ways to create
    @Async@ computations, wait for their results, and
    cancel them.
    .
    Using @Async@ is safer than using threads in two
    ways:
    .
    * When waiting for a thread to return a result,
    if the thread dies with an exception then the
    caller must either re-throw the exception
    ('\''wait'\'') or handle it ('\''waitCatch'\''); the
    exception cannot be ignored.
    .
    * The API makes it possible to build a tree of
    threads that are automatically killed when
    their parent dies (see '\''withAsync'\'').
category: Concurrency
abi: 64d83880768398851ddaf7518afebeee
exposed: True
exposed-modules:
    Control.Concurrent.Async
import-dirs: /usr/lib/ghc-8.4.3/site-local/async-2.2.1
library-dirs: /usr/lib/ghc-8.4.3/site-local/async-2.2.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.3/async-2.2.1
hs-libraries: HSasync-2.2.1-B6m2kYywRJu7nicgTBxsJe
depends:
    base-4.11.1.0 hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg stm-2.4.5.0
abi-depends: base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg=ad8d36b5596969152937469512f0d3b1
             stm-2.4.5.0=cd8ccc9f17cf51980f6d59f12e77db7d
haddock-interfaces: /usr/share/doc/haskell-async/html/async.haddock
haddock-html: /usr/share/doc/haskell-async/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

